diff options
author | Ross Burton <ross.burton@intel.com> | 2013-09-26 11:41:36 +0100 |
---|---|---|
committer | Richard Purdie <richard.purdie@linuxfoundation.org> | 2013-09-26 17:00:05 +0100 |
commit | e5fcc7e1ca46b8b10615af8192a5923d65e347fb (patch) | |
tree | e28757eb2f37dc662746bac8b6ba5cf2ce7fc981 | |
parent | 601e1a740b6909ea904a554e0e0c35056fd2231c (diff) | |
download | poky-e5fcc7e1ca46b8b10615af8192a5923d65e347fb.tar.gz |
pseudo: warn twice if the 32-bit toolchain appears broken
Putting a warning at the top of do_compile is useful but not everyone reads the
file from beginning to end, so use a trap to put the message at the bottom too.
[ YOCTO #4919 ]
(From OE-Core rev: 51950fcbe4b98bdbb8b3dde88a8729e540d9609f)
Signed-off-by: Ross Burton <ross.burton@intel.com>
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
-rw-r--r-- | meta/recipes-devtools/pseudo/pseudo.inc | 13 |
1 files changed, 10 insertions, 3 deletions
diff --git a/meta/recipes-devtools/pseudo/pseudo.inc b/meta/recipes-devtools/pseudo/pseudo.inc index a287629e52..0471cd6f21 100644 --- a/meta/recipes-devtools/pseudo/pseudo.inc +++ b/meta/recipes-devtools/pseudo/pseudo.inc | |||
@@ -56,9 +56,7 @@ maybe_make32() { | |||
56 | fi | 56 | fi |
57 | if $make32; then | 57 | if $make32; then |
58 | if ! [ -e "/usr/include/gnu/stubs-32.h" ]; then | 58 | if ! [ -e "/usr/include/gnu/stubs-32.h" ]; then |
59 | bbwarn "Can't find stubs-32.h, but usually need it to build 32-bit libpseudo." | 59 | warn_32bit_missing |
60 | bbwarn "If the build fails, install 32-bit developer packages." | ||
61 | bbwarn "If you are using 32-bit binaries, the 32-bit libpseudo is NOT optional." | ||
62 | else | 60 | else |
63 | bbnote "Attempting to build 32-bit libpseudo.so for ${PN}." | 61 | bbnote "Attempting to build 32-bit libpseudo.so for ${PN}." |
64 | fi | 62 | fi |
@@ -68,6 +66,12 @@ maybe_make32() { | |||
68 | fi | 66 | fi |
69 | } | 67 | } |
70 | 68 | ||
69 | warn_32bit_missing() { | ||
70 | bbwarn "Can't find stubs-32.h, but usually need it to build 32-bit libpseudo." | ||
71 | bbwarn "If the build fails, install 32-bit developer packages." | ||
72 | bbwarn "If you are using 32-bit binaries, the 32-bit libpseudo is NOT optional." | ||
73 | } | ||
74 | |||
71 | # Two below are the same | 75 | # Two below are the same |
72 | # If necessary compile for the alternative machine arch. This is only | 76 | # If necessary compile for the alternative machine arch. This is only |
73 | # necessary in a native build. | 77 | # necessary in a native build. |
@@ -83,7 +87,10 @@ do_compile_prepend_class-native () { | |||
83 | make ${MAKEOPTS} distclean || : | 87 | make ${MAKEOPTS} distclean || : |
84 | 88 | ||
85 | ./configure ${PSEUDO_EXTRA_OPTS} --prefix=${prefix} --libdir=${prefix}/lib/pseudo/lib --with-sqlite-lib=${baselib} --with-sqlite=${STAGING_DIR_TARGET}${exec_prefix} --bits=32 --without-rpath | 89 | ./configure ${PSEUDO_EXTRA_OPTS} --prefix=${prefix} --libdir=${prefix}/lib/pseudo/lib --with-sqlite-lib=${baselib} --with-sqlite=${STAGING_DIR_TARGET}${exec_prefix} --bits=32 --without-rpath |
90 | save_traps=$(trap) | ||
91 | trap 'warn_32bit_missing' 0 | ||
86 | oe_runmake ${MAKEOPTS} libpseudo | 92 | oe_runmake ${MAKEOPTS} libpseudo |
93 | eval "$save_traps" | ||
87 | # prevent it from removing the lib, but remove everything else | 94 | # prevent it from removing the lib, but remove everything else |
88 | make 'LIB=foo' ${MAKEOPTS} distclean | 95 | make 'LIB=foo' ${MAKEOPTS} distclean |
89 | fi | 96 | fi |